package info.knacki.pass.ui.alertPrompt;

import android.content.Context;
import android.os.IBinder;

public class ServiceAlertPromptGenerator extends AlertPromptGenerator {
    private final IBinder fWindowToken;

    public ServiceAlertPromptGenerator(IBinder windowToken) {
        fWindowToken = windowToken;
    }

    @Override
    public AlertPrompt Generate(Context ctx) {
        return new ServiceAlertPrompt(ctx, fWindowToken);
    }
}
